"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fd0471bba60>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd0471bbb00>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd0471bbba0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd0471bbc40>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fd0471bbce0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fd0471bbd80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fd0471bbe20>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd0471bbec0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd0471bbf60>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c040>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c0e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c180>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c220>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c2c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c360>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c400>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c4a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c540>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c5e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c680>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c720>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c7c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c860>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c900>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8c9a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8ca40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8cae0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8cb80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8cc20>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8ccc0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8cd60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8ce00>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8cea0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8cf40>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8cfe0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d080>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d120>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d1c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d260>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d300>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d3a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d440>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d4e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d580>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d620>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d6c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d760>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d800>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d8a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d940>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8d9e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8da80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8db20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8dbc0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8dc60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8dd00>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8dda0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8de40>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8dee0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8df80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e020>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e0c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e160>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e200>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e2a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e340>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e3e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e480>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e520>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e5c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e660>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e700>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e7a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e840>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e8e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8e980>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8ea20>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8eac0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8eb60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8ec00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8ed40>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8eca0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8ede0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8ee80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fd045f8ef20>)]
name: str = 'fr_HOCCN'
